org.apache.calcite.avatica.remote

## Class Service.ExecuteBatchResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.ExecuteBatchResponse

Enclosing interface:
  Service

    public static class Service.ExecuteBatchResponse
    extends Service.Response

Response object for executing a batch of commands.

### Field Summary

Fields
`String` `connectionId`
`boolean` `missingStatement`
`Service.RpcMetadataResponse` `rpcMetadata`
`int` `statementId`
`long[]` `updateCounts`

### Constructor Summary

Constructors
Constructor and Description
`ExecuteBatchResponse(String connectionId, int statementId, long[] updateCounts, boolean missingStatement, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### statementId

    public final int statementId

#### updateCounts

    public final long[] updateCounts

#### missingStatement

    public final boolean missingStatement

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### ExecuteBatchResponse

    public ExecuteBatchResponse(String connectionId,
                                int statementId,
                                long[] updateCounts,
                                boolean missingStatement,
                                Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`